<?php

use App\Http\Controllers\Legacy\MainController;
use App\Http\Controllers\Legacy\PDFController;
use Illuminate\Support\Facades\Route;

Route::middleware('oauth')->group(function () {
    Route::get('home', [MainController::class, 'getIndex'])->name('home');
    //Route::post('visa',[MainController::class, 'postVisa']);
    Route::post('result', [MainController::class, 'postResult']);
    Route::post('viewer', [MainController::class, 'postPayments']);
    Route::get('historial', [PDFController::class, 'getHistorial']);
    Route::get('estadocuenta', [PDFController::class, 'getEstadoCuenta']);
    Route::get('estadocuentamail/{email}', [PDFController::class, 'getMailEstadoCuenta']);
    Route::get('sendemail/{email}', [PDFController::class, 'getMailRecibo']);
    Route::get('cuenta/{codigo}', [PDFController::class, 'getRecibo']);
    Route::get('servicehistorial', [MainController::class, 'PageHistorial']);
    Route::get('historial', [MainController::class, 'getHistorialPagos']);
    Route::get('reciboemail/{email}', [PDFController::class, 'getMailPago']);
    Route::get('finalizar', [MainController::class, 'getFinalizar']);
});
